/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to a corporate liability incident
 */
@ApiModel(description = "List of information linked to a corporate liability incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CorporateLiabilityClaimInformation {
  @SerializedName("BINNumber")
  private String biNNumber = null;

  @SerializedName("Issuer_Name_Issuer_Information")
  private String issuerNameIssuerInformation = null;

  @SerializedName("Street_Address_Issuer_Information")
  private String streetAddressIssuerInformation = null;

  @SerializedName("City_Issuer_Information")
  private String cityIssuerInformation = null;

  @SerializedName("Country_Issuer_Information")
  private String countryIssuerInformation = null;

  @SerializedName("Postal_Code_Issuer_Information")
  private String postalCodeIssuerInformation = null;

  @SerializedName("Contact_person_Issuer_Information")
  private String contactPersonIssuerInformation = null;

  @SerializedName("Contact_phone_number_Issuer_Information")
  private Model51 contactPhoneNumberIssuerInformation = null;

  @SerializedName("Total_Number_of_Valid_Company_Accounts_I")
  private BigDecimal totalNumberOfValidCompanyAccountsI = null;

  @SerializedName("Cardholder_s_Credit_Limit_Issuer_Informa")
  private BigDecimal cardholderSCreditLimitIssuerInforma = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Amount_of_Charges_Submitted_by_the_Compa")
  private BigDecimal amountOfChargesSubmittedByTheCompa = null;

  @SerializedName("Amount_Recovered_to_Date_2")
  private BigDecimal amountRecoveredToDate2 = null;

  @SerializedName("Is_the_Company_responsible_for_charges")
  private String isTheCompanyResponsibleForCharges = null;

  @SerializedName("Is_the_Cardholder_responsible_for_charge")
  private String isTheCardholderResponsibleForCharge = null;

  @SerializedName("Name_of_Collection_Agency_Collection_Inf")
  private String nameOfCollectionAgencyCollectionInf = null;

  @SerializedName("Street_Address_Collection_Information")
  private String streetAddressCollectionInformation = null;

  @SerializedName("City_Collection_Information")
  private String cityCollectionInformation = null;

  @SerializedName("Country_Collection_Information")
  private String countryCollectionInformation = null;

  @SerializedName("Postal_Code_Collection_Information")
  private String postalCodeCollectionInformation = null;

  @SerializedName("Contact_Person_Collection_Information")
  private String contactPersonCollectionInformation = null;

  @SerializedName("Contact_Phone_Number_Collection_Informat")
  private Model51 contactPhoneNumberCollectionInformat = null;

  @SerializedName("Date_Assignment_Made_Collection_Informat")
  private LocalDate dateAssignmentMadeCollectionInformat = null;

  @SerializedName("Date_Received_Account_Cancellation_Reque")
  private LocalDate dateReceivedAccountCancellationReque = null;

  @SerializedName("Date_of_Account_Cancellation_on_Base_I")
  private LocalDate dateOfAccountCancellationOnBaseI = null;

  @SerializedName("Date_Received_Affidavit_of_Waiver_Claim")
  private LocalDate dateReceivedAffidavitOfWaiverClaim = null;

  @SerializedName("Is_this_claim_the_result_of_a_lost_sto")
  private String isThisClaimTheResultOfALostSto = null;

  @SerializedName("Date_Reported_Collection_Information")
  private LocalDate dateReportedCollectionInformation = null;

  @SerializedName("Is_this_claim_the_result_of_a_bankruptcy")
  private String isThisClaimTheResultOfABankruptcy = null;

  @SerializedName("Date_Reported_2_Collection_Information")
  private LocalDate dateReported2CollectionInformation = null;

  @SerializedName("Has_the_Cardholder_made_any_payment_on")
  private String hasTheCardholderMadeAnyPaymentOn = null;

  @SerializedName("I_certify_that_should_any_amount")
  private String iCertifyThatShouldAnyAmount = null;

  @SerializedName("Financial_Institution_Recovery_of_funds")
  private BigDecimal financialInstitutionRecoveryOfFunds = null;

  @SerializedName("I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS")
  private String I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS = null;

  @SerializedName("Date_Recovery_of_funds_certification")
  private LocalDate dateRecoveryOfFundsCertification = null;

  public CorporateLiabilityClaimInformation biNNumber(String biNNumber) {
    this.biNNumber = biNNumber;
    return this;
  }

   /**
   * Get biNNumber
   * @return biNNumber
  **/
  @ApiModelProperty(example = "4001362825", value = "")
  public String getBiNNumber() {
    return biNNumber;
  }

  public void setBiNNumber(String biNNumber) {
    this.biNNumber = biNNumber;
  }

  public CorporateLiabilityClaimInformation issuerNameIssuerInformation(String issuerNameIssuerInformation) {
    this.issuerNameIssuerInformation = issuerNameIssuerInformation;
    return this;
  }

   /**
   * Get issuerNameIssuerInformation
   * @return issuerNameIssuerInformation
  **/
  @ApiModelProperty(example = "name", value = "")
  public String getIssuerNameIssuerInformation() {
    return issuerNameIssuerInformation;
  }

  public void setIssuerNameIssuerInformation(String issuerNameIssuerInformation) {
    this.issuerNameIssuerInformation = issuerNameIssuerInformation;
  }

  public CorporateLiabilityClaimInformation streetAddressIssuerInformation(String streetAddressIssuerInformation) {
    this.streetAddressIssuerInformation = streetAddressIssuerInformation;
    return this;
  }

   /**
   * Get streetAddressIssuerInformation
   * @return streetAddressIssuerInformation
  **/
  @ApiModelProperty(example = "address", value = "")
  public String getStreetAddressIssuerInformation() {
    return streetAddressIssuerInformation;
  }

  public void setStreetAddressIssuerInformation(String streetAddressIssuerInformation) {
    this.streetAddressIssuerInformation = streetAddressIssuerInformation;
  }

  public CorporateLiabilityClaimInformation cityIssuerInformation(String cityIssuerInformation) {
    this.cityIssuerInformation = cityIssuerInformation;
    return this;
  }

   /**
   * Get cityIssuerInformation
   * @return cityIssuerInformation
  **/
  @ApiModelProperty(example = "city", value = "")
  public String getCityIssuerInformation() {
    return cityIssuerInformation;
  }

  public void setCityIssuerInformation(String cityIssuerInformation) {
    this.cityIssuerInformation = cityIssuerInformation;
  }

  public CorporateLiabilityClaimInformation countryIssuerInformation(String countryIssuerInformation) {
    this.countryIssuerInformation = countryIssuerInformation;
    return this;
  }

   /**
   * Get countryIssuerInformation
   * @return countryIssuerInformation
  **/
  @ApiModelProperty(example = "en", value = "")
  public String getCountryIssuerInformation() {
    return countryIssuerInformation;
  }

  public void setCountryIssuerInformation(String countryIssuerInformation) {
    this.countryIssuerInformation = countryIssuerInformation;
  }

  public CorporateLiabilityClaimInformation postalCodeIssuerInformation(String postalCodeIssuerInformation) {
    this.postalCodeIssuerInformation = postalCodeIssuerInformation;
    return this;
  }

   /**
   * Get postalCodeIssuerInformation
   * @return postalCodeIssuerInformation
  **/
  @ApiModelProperty(example = "post code", value = "")
  public String getPostalCodeIssuerInformation() {
    return postalCodeIssuerInformation;
  }

  public void setPostalCodeIssuerInformation(String postalCodeIssuerInformation) {
    this.postalCodeIssuerInformation = postalCodeIssuerInformation;
  }

  public CorporateLiabilityClaimInformation contactPersonIssuerInformation(String contactPersonIssuerInformation) {
    this.contactPersonIssuerInformation = contactPersonIssuerInformation;
    return this;
  }

   /**
   * Get contactPersonIssuerInformation
   * @return contactPersonIssuerInformation
  **/
  @ApiModelProperty(example = "issuer", value = "")
  public String getContactPersonIssuerInformation() {
    return contactPersonIssuerInformation;
  }

  public void setContactPersonIssuerInformation(String contactPersonIssuerInformation) {
    this.contactPersonIssuerInformation = contactPersonIssuerInformation;
  }

  public CorporateLiabilityClaimInformation contactPhoneNumberIssuerInformation(Model51 contactPhoneNumberIssuerInformation) {
    this.contactPhoneNumberIssuerInformation = contactPhoneNumberIssuerInformation;
    return this;
  }

   /**
   * Get contactPhoneNumberIssuerInformation
   * @return contactPhoneNumberIssuerInformation
  **/
  @ApiModelProperty(value = "")
  public Model51 getContactPhoneNumberIssuerInformation() {
    return contactPhoneNumberIssuerInformation;
  }

  public void setContactPhoneNumberIssuerInformation(Model51 contactPhoneNumberIssuerInformation) {
    this.contactPhoneNumberIssuerInformation = contactPhoneNumberIssuerInformation;
  }

  public CorporateLiabilityClaimInformation totalNumberOfValidCompanyAccountsI(BigDecimal totalNumberOfValidCompanyAccountsI) {
    this.totalNumberOfValidCompanyAccountsI = totalNumberOfValidCompanyAccountsI;
    return this;
  }

   /**
   * Get totalNumberOfValidCompanyAccountsI
   * @return totalNumberOfValidCompanyAccountsI
  **/
  @ApiModelProperty(example = "2.0", value = "")
  public BigDecimal getTotalNumberOfValidCompanyAccountsI() {
    return totalNumberOfValidCompanyAccountsI;
  }

  public void setTotalNumberOfValidCompanyAccountsI(BigDecimal totalNumberOfValidCompanyAccountsI) {
    this.totalNumberOfValidCompanyAccountsI = totalNumberOfValidCompanyAccountsI;
  }

  public CorporateLiabilityClaimInformation cardholderSCreditLimitIssuerInforma(BigDecimal cardholderSCreditLimitIssuerInforma) {
    this.cardholderSCreditLimitIssuerInforma = cardholderSCreditLimitIssuerInforma;
    return this;
  }

   /**
   * Get cardholderSCreditLimitIssuerInforma
   * @return cardholderSCreditLimitIssuerInforma
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getCardholderSCreditLimitIssuerInforma() {
    return cardholderSCreditLimitIssuerInforma;
  }

  public void setCardholderSCreditLimitIssuerInforma(BigDecimal cardholderSCreditLimitIssuerInforma) {
    this.cardholderSCreditLimitIssuerInforma = cardholderSCreditLimitIssuerInforma;
  }

  public CorporateLiabilityClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public CorporateLiabilityClaimInformation amountOfChargesSubmittedByTheCompa(BigDecimal amountOfChargesSubmittedByTheCompa) {
    this.amountOfChargesSubmittedByTheCompa = amountOfChargesSubmittedByTheCompa;
    return this;
  }

   /**
   * Get amountOfChargesSubmittedByTheCompa
   * @return amountOfChargesSubmittedByTheCompa
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getAmountOfChargesSubmittedByTheCompa() {
    return amountOfChargesSubmittedByTheCompa;
  }

  public void setAmountOfChargesSubmittedByTheCompa(BigDecimal amountOfChargesSubmittedByTheCompa) {
    this.amountOfChargesSubmittedByTheCompa = amountOfChargesSubmittedByTheCompa;
  }

  public CorporateLiabilityClaimInformation amountRecoveredToDate2(BigDecimal amountRecoveredToDate2) {
    this.amountRecoveredToDate2 = amountRecoveredToDate2;
    return this;
  }

   /**
   * Get amountRecoveredToDate2
   * @return amountRecoveredToDate2
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getAmountRecoveredToDate2() {
    return amountRecoveredToDate2;
  }

  public void setAmountRecoveredToDate2(BigDecimal amountRecoveredToDate2) {
    this.amountRecoveredToDate2 = amountRecoveredToDate2;
  }

  public CorporateLiabilityClaimInformation isTheCompanyResponsibleForCharges(String isTheCompanyResponsibleForCharges) {
    this.isTheCompanyResponsibleForCharges = isTheCompanyResponsibleForCharges;
    return this;
  }

   /**
   * Get isTheCompanyResponsibleForCharges
   * @return isTheCompanyResponsibleForCharges
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getIsTheCompanyResponsibleForCharges() {
    return isTheCompanyResponsibleForCharges;
  }

  public void setIsTheCompanyResponsibleForCharges(String isTheCompanyResponsibleForCharges) {
    this.isTheCompanyResponsibleForCharges = isTheCompanyResponsibleForCharges;
  }

  public CorporateLiabilityClaimInformation isTheCardholderResponsibleForCharge(String isTheCardholderResponsibleForCharge) {
    this.isTheCardholderResponsibleForCharge = isTheCardholderResponsibleForCharge;
    return this;
  }

   /**
   * Get isTheCardholderResponsibleForCharge
   * @return isTheCardholderResponsibleForCharge
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getIsTheCardholderResponsibleForCharge() {
    return isTheCardholderResponsibleForCharge;
  }

  public void setIsTheCardholderResponsibleForCharge(String isTheCardholderResponsibleForCharge) {
    this.isTheCardholderResponsibleForCharge = isTheCardholderResponsibleForCharge;
  }

  public CorporateLiabilityClaimInformation nameOfCollectionAgencyCollectionInf(String nameOfCollectionAgencyCollectionInf) {
    this.nameOfCollectionAgencyCollectionInf = nameOfCollectionAgencyCollectionInf;
    return this;
  }

   /**
   * Get nameOfCollectionAgencyCollectionInf
   * @return nameOfCollectionAgencyCollectionInf
  **/
  @ApiModelProperty(example = "agency", value = "")
  public String getNameOfCollectionAgencyCollectionInf() {
    return nameOfCollectionAgencyCollectionInf;
  }

  public void setNameOfCollectionAgencyCollectionInf(String nameOfCollectionAgencyCollectionInf) {
    this.nameOfCollectionAgencyCollectionInf = nameOfCollectionAgencyCollectionInf;
  }

  public CorporateLiabilityClaimInformation streetAddressCollectionInformation(String streetAddressCollectionInformation) {
    this.streetAddressCollectionInformation = streetAddressCollectionInformation;
    return this;
  }

   /**
   * Get streetAddressCollectionInformation
   * @return streetAddressCollectionInformation
  **/
  @ApiModelProperty(example = "s address", value = "")
  public String getStreetAddressCollectionInformation() {
    return streetAddressCollectionInformation;
  }

  public void setStreetAddressCollectionInformation(String streetAddressCollectionInformation) {
    this.streetAddressCollectionInformation = streetAddressCollectionInformation;
  }

  public CorporateLiabilityClaimInformation cityCollectionInformation(String cityCollectionInformation) {
    this.cityCollectionInformation = cityCollectionInformation;
    return this;
  }

   /**
   * Get cityCollectionInformation
   * @return cityCollectionInformation
  **/
  @ApiModelProperty(example = "city", value = "")
  public String getCityCollectionInformation() {
    return cityCollectionInformation;
  }

  public void setCityCollectionInformation(String cityCollectionInformation) {
    this.cityCollectionInformation = cityCollectionInformation;
  }

  public CorporateLiabilityClaimInformation countryCollectionInformation(String countryCollectionInformation) {
    this.countryCollectionInformation = countryCollectionInformation;
    return this;
  }

   /**
   * Get countryCollectionInformation
   * @return countryCollectionInformation
  **/
  @ApiModelProperty(example = "en", value = "")
  public String getCountryCollectionInformation() {
    return countryCollectionInformation;
  }

  public void setCountryCollectionInformation(String countryCollectionInformation) {
    this.countryCollectionInformation = countryCollectionInformation;
  }

  public CorporateLiabilityClaimInformation postalCodeCollectionInformation(String postalCodeCollectionInformation) {
    this.postalCodeCollectionInformation = postalCodeCollectionInformation;
    return this;
  }

   /**
   * Get postalCodeCollectionInformation
   * @return postalCodeCollectionInformation
  **/
  @ApiModelProperty(example = "p code", value = "")
  public String getPostalCodeCollectionInformation() {
    return postalCodeCollectionInformation;
  }

  public void setPostalCodeCollectionInformation(String postalCodeCollectionInformation) {
    this.postalCodeCollectionInformation = postalCodeCollectionInformation;
  }

  public CorporateLiabilityClaimInformation contactPersonCollectionInformation(String contactPersonCollectionInformation) {
    this.contactPersonCollectionInformation = contactPersonCollectionInformation;
    return this;
  }

   /**
   * Get contactPersonCollectionInformation
   * @return contactPersonCollectionInformation
  **/
  @ApiModelProperty(example = "pc", value = "")
  public String getContactPersonCollectionInformation() {
    return contactPersonCollectionInformation;
  }

  public void setContactPersonCollectionInformation(String contactPersonCollectionInformation) {
    this.contactPersonCollectionInformation = contactPersonCollectionInformation;
  }

  public CorporateLiabilityClaimInformation contactPhoneNumberCollectionInformat(Model51 contactPhoneNumberCollectionInformat) {
    this.contactPhoneNumberCollectionInformat = contactPhoneNumberCollectionInformat;
    return this;
  }

   /**
   * Get contactPhoneNumberCollectionInformat
   * @return contactPhoneNumberCollectionInformat
  **/
  @ApiModelProperty(value = "")
  public Model51 getContactPhoneNumberCollectionInformat() {
    return contactPhoneNumberCollectionInformat;
  }

  public void setContactPhoneNumberCollectionInformat(Model51 contactPhoneNumberCollectionInformat) {
    this.contactPhoneNumberCollectionInformat = contactPhoneNumberCollectionInformat;
  }

  public CorporateLiabilityClaimInformation dateAssignmentMadeCollectionInformat(LocalDate dateAssignmentMadeCollectionInformat) {
    this.dateAssignmentMadeCollectionInformat = dateAssignmentMadeCollectionInformat;
    return this;
  }

   /**
   * Get dateAssignmentMadeCollectionInformat
   * @return dateAssignmentMadeCollectionInformat
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateAssignmentMadeCollectionInformat() {
    return dateAssignmentMadeCollectionInformat;
  }

  public void setDateAssignmentMadeCollectionInformat(LocalDate dateAssignmentMadeCollectionInformat) {
    this.dateAssignmentMadeCollectionInformat = dateAssignmentMadeCollectionInformat;
  }

  public CorporateLiabilityClaimInformation dateReceivedAccountCancellationReque(LocalDate dateReceivedAccountCancellationReque) {
    this.dateReceivedAccountCancellationReque = dateReceivedAccountCancellationReque;
    return this;
  }

   /**
   * Get dateReceivedAccountCancellationReque
   * @return dateReceivedAccountCancellationReque
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateReceivedAccountCancellationReque() {
    return dateReceivedAccountCancellationReque;
  }

  public void setDateReceivedAccountCancellationReque(LocalDate dateReceivedAccountCancellationReque) {
    this.dateReceivedAccountCancellationReque = dateReceivedAccountCancellationReque;
  }

  public CorporateLiabilityClaimInformation dateOfAccountCancellationOnBaseI(LocalDate dateOfAccountCancellationOnBaseI) {
    this.dateOfAccountCancellationOnBaseI = dateOfAccountCancellationOnBaseI;
    return this;
  }

   /**
   * Get dateOfAccountCancellationOnBaseI
   * @return dateOfAccountCancellationOnBaseI
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateOfAccountCancellationOnBaseI() {
    return dateOfAccountCancellationOnBaseI;
  }

  public void setDateOfAccountCancellationOnBaseI(LocalDate dateOfAccountCancellationOnBaseI) {
    this.dateOfAccountCancellationOnBaseI = dateOfAccountCancellationOnBaseI;
  }

  public CorporateLiabilityClaimInformation dateReceivedAffidavitOfWaiverClaim(LocalDate dateReceivedAffidavitOfWaiverClaim) {
    this.dateReceivedAffidavitOfWaiverClaim = dateReceivedAffidavitOfWaiverClaim;
    return this;
  }

   /**
   * Get dateReceivedAffidavitOfWaiverClaim
   * @return dateReceivedAffidavitOfWaiverClaim
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateReceivedAffidavitOfWaiverClaim() {
    return dateReceivedAffidavitOfWaiverClaim;
  }

  public void setDateReceivedAffidavitOfWaiverClaim(LocalDate dateReceivedAffidavitOfWaiverClaim) {
    this.dateReceivedAffidavitOfWaiverClaim = dateReceivedAffidavitOfWaiverClaim;
  }

  public CorporateLiabilityClaimInformation isThisClaimTheResultOfALostSto(String isThisClaimTheResultOfALostSto) {
    this.isThisClaimTheResultOfALostSto = isThisClaimTheResultOfALostSto;
    return this;
  }

   /**
   * Get isThisClaimTheResultOfALostSto
   * @return isThisClaimTheResultOfALostSto
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getIsThisClaimTheResultOfALostSto() {
    return isThisClaimTheResultOfALostSto;
  }

  public void setIsThisClaimTheResultOfALostSto(String isThisClaimTheResultOfALostSto) {
    this.isThisClaimTheResultOfALostSto = isThisClaimTheResultOfALostSto;
  }

  public CorporateLiabilityClaimInformation dateReportedCollectionInformation(LocalDate dateReportedCollectionInformation) {
    this.dateReportedCollectionInformation = dateReportedCollectionInformation;
    return this;
  }

   /**
   * Get dateReportedCollectionInformation
   * @return dateReportedCollectionInformation
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateReportedCollectionInformation() {
    return dateReportedCollectionInformation;
  }

  public void setDateReportedCollectionInformation(LocalDate dateReportedCollectionInformation) {
    this.dateReportedCollectionInformation = dateReportedCollectionInformation;
  }

  public CorporateLiabilityClaimInformation isThisClaimTheResultOfABankruptcy(String isThisClaimTheResultOfABankruptcy) {
    this.isThisClaimTheResultOfABankruptcy = isThisClaimTheResultOfABankruptcy;
    return this;
  }

   /**
   * Get isThisClaimTheResultOfABankruptcy
   * @return isThisClaimTheResultOfABankruptcy
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getIsThisClaimTheResultOfABankruptcy() {
    return isThisClaimTheResultOfABankruptcy;
  }

  public void setIsThisClaimTheResultOfABankruptcy(String isThisClaimTheResultOfABankruptcy) {
    this.isThisClaimTheResultOfABankruptcy = isThisClaimTheResultOfABankruptcy;
  }

  public CorporateLiabilityClaimInformation dateReported2CollectionInformation(LocalDate dateReported2CollectionInformation) {
    this.dateReported2CollectionInformation = dateReported2CollectionInformation;
    return this;
  }

   /**
   * Get dateReported2CollectionInformation
   * @return dateReported2CollectionInformation
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateReported2CollectionInformation() {
    return dateReported2CollectionInformation;
  }

  public void setDateReported2CollectionInformation(LocalDate dateReported2CollectionInformation) {
    this.dateReported2CollectionInformation = dateReported2CollectionInformation;
  }

  public CorporateLiabilityClaimInformation hasTheCardholderMadeAnyPaymentOn(String hasTheCardholderMadeAnyPaymentOn) {
    this.hasTheCardholderMadeAnyPaymentOn = hasTheCardholderMadeAnyPaymentOn;
    return this;
  }

   /**
   * Get hasTheCardholderMadeAnyPaymentOn
   * @return hasTheCardholderMadeAnyPaymentOn
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getHasTheCardholderMadeAnyPaymentOn() {
    return hasTheCardholderMadeAnyPaymentOn;
  }

  public void setHasTheCardholderMadeAnyPaymentOn(String hasTheCardholderMadeAnyPaymentOn) {
    this.hasTheCardholderMadeAnyPaymentOn = hasTheCardholderMadeAnyPaymentOn;
  }

  public CorporateLiabilityClaimInformation iCertifyThatShouldAnyAmount(String iCertifyThatShouldAnyAmount) {
    this.iCertifyThatShouldAnyAmount = iCertifyThatShouldAnyAmount;
    return this;
  }

   /**
   * Get iCertifyThatShouldAnyAmount
   * @return iCertifyThatShouldAnyAmount
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getICertifyThatShouldAnyAmount() {
    return iCertifyThatShouldAnyAmount;
  }

  public void setICertifyThatShouldAnyAmount(String iCertifyThatShouldAnyAmount) {
    this.iCertifyThatShouldAnyAmount = iCertifyThatShouldAnyAmount;
  }

  public CorporateLiabilityClaimInformation financialInstitutionRecoveryOfFunds(BigDecimal financialInstitutionRecoveryOfFunds) {
    this.financialInstitutionRecoveryOfFunds = financialInstitutionRecoveryOfFunds;
    return this;
  }

   /**
   * Get financialInstitutionRecoveryOfFunds
   * @return financialInstitutionRecoveryOfFunds
  **/
  @ApiModelProperty(example = "12.0", value = "")
  public BigDecimal getFinancialInstitutionRecoveryOfFunds() {
    return financialInstitutionRecoveryOfFunds;
  }

  public void setFinancialInstitutionRecoveryOfFunds(BigDecimal financialInstitutionRecoveryOfFunds) {
    this.financialInstitutionRecoveryOfFunds = financialInstitutionRecoveryOfFunds;
  }

  public CorporateLiabilityClaimInformation I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS(String I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS) {
    this.I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS = I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS;
    return this;
  }

   /**
   * Get I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS
   * @return I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS
  **/
  @ApiModelProperty(example = "yes", value = "")
  public String getICERTIFYTHATTHEABOVEINFORMATIONIS() {
    return I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS;
  }

  public void setICERTIFYTHATTHEABOVEINFORMATIONIS(String I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS) {
    this.I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS = I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS;
  }

  public CorporateLiabilityClaimInformation dateRecoveryOfFundsCertification(LocalDate dateRecoveryOfFundsCertification) {
    this.dateRecoveryOfFundsCertification = dateRecoveryOfFundsCertification;
    return this;
  }

   /**
   * Get dateRecoveryOfFundsCertification
   * @return dateRecoveryOfFundsCertification
  **/
  @ApiModelProperty(example = "2011-09-09", value = "")
  public LocalDate getDateRecoveryOfFundsCertification() {
    return dateRecoveryOfFundsCertification;
  }

  public void setDateRecoveryOfFundsCertification(LocalDate dateRecoveryOfFundsCertification) {
    this.dateRecoveryOfFundsCertification = dateRecoveryOfFundsCertification;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CorporateLiabilityClaimInformation corporateLiabilityClaimInformation = (CorporateLiabilityClaimInformation) o;
    return Objects.equals(this.biNNumber, corporateLiabilityClaimInformation.biNNumber) &&
        Objects.equals(this.issuerNameIssuerInformation, corporateLiabilityClaimInformation.issuerNameIssuerInformation) &&
        Objects.equals(this.streetAddressIssuerInformation, corporateLiabilityClaimInformation.streetAddressIssuerInformation) &&
        Objects.equals(this.cityIssuerInformation, corporateLiabilityClaimInformation.cityIssuerInformation) &&
        Objects.equals(this.countryIssuerInformation, corporateLiabilityClaimInformation.countryIssuerInformation) &&
        Objects.equals(this.postalCodeIssuerInformation, corporateLiabilityClaimInformation.postalCodeIssuerInformation) &&
        Objects.equals(this.contactPersonIssuerInformation, corporateLiabilityClaimInformation.contactPersonIssuerInformation) &&
        Objects.equals(this.contactPhoneNumberIssuerInformation, corporateLiabilityClaimInformation.contactPhoneNumberIssuerInformation) &&
        Objects.equals(this.totalNumberOfValidCompanyAccountsI, corporateLiabilityClaimInformation.totalNumberOfValidCompanyAccountsI) &&
        Objects.equals(this.cardholderSCreditLimitIssuerInforma, corporateLiabilityClaimInformation.cardholderSCreditLimitIssuerInforma) &&
        Objects.equals(this.currencyIsoCode, corporateLiabilityClaimInformation.currencyIsoCode) &&
        Objects.equals(this.amountOfChargesSubmittedByTheCompa, corporateLiabilityClaimInformation.amountOfChargesSubmittedByTheCompa) &&
        Objects.equals(this.amountRecoveredToDate2, corporateLiabilityClaimInformation.amountRecoveredToDate2) &&
        Objects.equals(this.isTheCompanyResponsibleForCharges, corporateLiabilityClaimInformation.isTheCompanyResponsibleForCharges) &&
        Objects.equals(this.isTheCardholderResponsibleForCharge, corporateLiabilityClaimInformation.isTheCardholderResponsibleForCharge) &&
        Objects.equals(this.nameOfCollectionAgencyCollectionInf, corporateLiabilityClaimInformation.nameOfCollectionAgencyCollectionInf) &&
        Objects.equals(this.streetAddressCollectionInformation, corporateLiabilityClaimInformation.streetAddressCollectionInformation) &&
        Objects.equals(this.cityCollectionInformation, corporateLiabilityClaimInformation.cityCollectionInformation) &&
        Objects.equals(this.countryCollectionInformation, corporateLiabilityClaimInformation.countryCollectionInformation) &&
        Objects.equals(this.postalCodeCollectionInformation, corporateLiabilityClaimInformation.postalCodeCollectionInformation) &&
        Objects.equals(this.contactPersonCollectionInformation, corporateLiabilityClaimInformation.contactPersonCollectionInformation) &&
        Objects.equals(this.contactPhoneNumberCollectionInformat, corporateLiabilityClaimInformation.contactPhoneNumberCollectionInformat) &&
        Objects.equals(this.dateAssignmentMadeCollectionInformat, corporateLiabilityClaimInformation.dateAssignmentMadeCollectionInformat) &&
        Objects.equals(this.dateReceivedAccountCancellationReque, corporateLiabilityClaimInformation.dateReceivedAccountCancellationReque) &&
        Objects.equals(this.dateOfAccountCancellationOnBaseI, corporateLiabilityClaimInformation.dateOfAccountCancellationOnBaseI) &&
        Objects.equals(this.dateReceivedAffidavitOfWaiverClaim, corporateLiabilityClaimInformation.dateReceivedAffidavitOfWaiverClaim) &&
        Objects.equals(this.isThisClaimTheResultOfALostSto, corporateLiabilityClaimInformation.isThisClaimTheResultOfALostSto) &&
        Objects.equals(this.dateReportedCollectionInformation, corporateLiabilityClaimInformation.dateReportedCollectionInformation) &&
        Objects.equals(this.isThisClaimTheResultOfABankruptcy, corporateLiabilityClaimInformation.isThisClaimTheResultOfABankruptcy) &&
        Objects.equals(this.dateReported2CollectionInformation, corporateLiabilityClaimInformation.dateReported2CollectionInformation) &&
        Objects.equals(this.hasTheCardholderMadeAnyPaymentOn, corporateLiabilityClaimInformation.hasTheCardholderMadeAnyPaymentOn) &&
        Objects.equals(this.iCertifyThatShouldAnyAmount, corporateLiabilityClaimInformation.iCertifyThatShouldAnyAmount) &&
        Objects.equals(this.financialInstitutionRecoveryOfFunds, corporateLiabilityClaimInformation.financialInstitutionRecoveryOfFunds) &&
        Objects.equals(this.I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS, corporateLiabilityClaimInformation.I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS) &&
        Objects.equals(this.dateRecoveryOfFundsCertification, corporateLiabilityClaimInformation.dateRecoveryOfFundsCertification);
  }

  @Override
  public int hashCode() {
    return Objects.hash(biNNumber, issuerNameIssuerInformation, streetAddressIssuerInformation, cityIssuerInformation, countryIssuerInformation, postalCodeIssuerInformation, contactPersonIssuerInformation, contactPhoneNumberIssuerInformation, totalNumberOfValidCompanyAccountsI, cardholderSCreditLimitIssuerInforma, currencyIsoCode, amountOfChargesSubmittedByTheCompa, amountRecoveredToDate2, isTheCompanyResponsibleForCharges, isTheCardholderResponsibleForCharge, nameOfCollectionAgencyCollectionInf, streetAddressCollectionInformation, cityCollectionInformation, countryCollectionInformation, postalCodeCollectionInformation, contactPersonCollectionInformation, contactPhoneNumberCollectionInformat, dateAssignmentMadeCollectionInformat, dateReceivedAccountCancellationReque, dateOfAccountCancellationOnBaseI, dateReceivedAffidavitOfWaiverClaim, isThisClaimTheResultOfALostSto, dateReportedCollectionInformation, isThisClaimTheResultOfABankruptcy, dateReported2CollectionInformation, hasTheCardholderMadeAnyPaymentOn, iCertifyThatShouldAnyAmount, financialInstitutionRecoveryOfFunds, I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS, dateRecoveryOfFundsCertification);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CorporateLiabilityClaimInformation {\n");
    
    sb.append("    biNNumber: ").append(toIndentedString(biNNumber)).append("\n");
    sb.append("    issuerNameIssuerInformation: ").append(toIndentedString(issuerNameIssuerInformation)).append("\n");
    sb.append("    streetAddressIssuerInformation: ").append(toIndentedString(streetAddressIssuerInformation)).append("\n");
    sb.append("    cityIssuerInformation: ").append(toIndentedString(cityIssuerInformation)).append("\n");
    sb.append("    countryIssuerInformation: ").append(toIndentedString(countryIssuerInformation)).append("\n");
    sb.append("    postalCodeIssuerInformation: ").append(toIndentedString(postalCodeIssuerInformation)).append("\n");
    sb.append("    contactPersonIssuerInformation: ").append(toIndentedString(contactPersonIssuerInformation)).append("\n");
    sb.append("    contactPhoneNumberIssuerInformation: ").append(toIndentedString(contactPhoneNumberIssuerInformation)).append("\n");
    sb.append("    totalNumberOfValidCompanyAccountsI: ").append(toIndentedString(totalNumberOfValidCompanyAccountsI)).append("\n");
    sb.append("    cardholderSCreditLimitIssuerInforma: ").append(toIndentedString(cardholderSCreditLimitIssuerInforma)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    amountOfChargesSubmittedByTheCompa: ").append(toIndentedString(amountOfChargesSubmittedByTheCompa)).append("\n");
    sb.append("    amountRecoveredToDate2: ").append(toIndentedString(amountRecoveredToDate2)).append("\n");
    sb.append("    isTheCompanyResponsibleForCharges: ").append(toIndentedString(isTheCompanyResponsibleForCharges)).append("\n");
    sb.append("    isTheCardholderResponsibleForCharge: ").append(toIndentedString(isTheCardholderResponsibleForCharge)).append("\n");
    sb.append("    nameOfCollectionAgencyCollectionInf: ").append(toIndentedString(nameOfCollectionAgencyCollectionInf)).append("\n");
    sb.append("    streetAddressCollectionInformation: ").append(toIndentedString(streetAddressCollectionInformation)).append("\n");
    sb.append("    cityCollectionInformation: ").append(toIndentedString(cityCollectionInformation)).append("\n");
    sb.append("    countryCollectionInformation: ").append(toIndentedString(countryCollectionInformation)).append("\n");
    sb.append("    postalCodeCollectionInformation: ").append(toIndentedString(postalCodeCollectionInformation)).append("\n");
    sb.append("    contactPersonCollectionInformation: ").append(toIndentedString(contactPersonCollectionInformation)).append("\n");
    sb.append("    contactPhoneNumberCollectionInformat: ").append(toIndentedString(contactPhoneNumberCollectionInformat)).append("\n");
    sb.append("    dateAssignmentMadeCollectionInformat: ").append(toIndentedString(dateAssignmentMadeCollectionInformat)).append("\n");
    sb.append("    dateReceivedAccountCancellationReque: ").append(toIndentedString(dateReceivedAccountCancellationReque)).append("\n");
    sb.append("    dateOfAccountCancellationOnBaseI: ").append(toIndentedString(dateOfAccountCancellationOnBaseI)).append("\n");
    sb.append("    dateReceivedAffidavitOfWaiverClaim: ").append(toIndentedString(dateReceivedAffidavitOfWaiverClaim)).append("\n");
    sb.append("    isThisClaimTheResultOfALostSto: ").append(toIndentedString(isThisClaimTheResultOfALostSto)).append("\n");
    sb.append("    dateReportedCollectionInformation: ").append(toIndentedString(dateReportedCollectionInformation)).append("\n");
    sb.append("    isThisClaimTheResultOfABankruptcy: ").append(toIndentedString(isThisClaimTheResultOfABankruptcy)).append("\n");
    sb.append("    dateReported2CollectionInformation: ").append(toIndentedString(dateReported2CollectionInformation)).append("\n");
    sb.append("    hasTheCardholderMadeAnyPaymentOn: ").append(toIndentedString(hasTheCardholderMadeAnyPaymentOn)).append("\n");
    sb.append("    iCertifyThatShouldAnyAmount: ").append(toIndentedString(iCertifyThatShouldAnyAmount)).append("\n");
    sb.append("    financialInstitutionRecoveryOfFunds: ").append(toIndentedString(financialInstitutionRecoveryOfFunds)).append("\n");
    sb.append("    I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS: ").append(toIndentedString(I_CERTIFY_THAT_THE_ABOVE_INFORMATION_IS)).append("\n");
    sb.append("    dateRecoveryOfFundsCertification: ").append(toIndentedString(dateRecoveryOfFundsCertification)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

